routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes(['verify' => true]);

Route::group(['prefix' => 'admin', 'namespace' => 'Admin', 'as' => 'admin.'], function () {

    Route::group(['middleware' => ['auth:web', 'can:admin']], function () {

        Route::get('admin', ['as' => 'dashboard.index', 'uses' => 'DashboardController@index']);

        Route::get('dashboard', ['as' => 'dashboard.index', 'uses' => 'DashboardController@index']);

    // Attributes routes
        include('admin/attributes.php');

    // Categories routes
        include('admin/categories.php');

    // Brands routes
        include('admin/brands.php');

    // Warehouses routes
        include('admin/warehouses.php');

    // Products routes
        include('admin/products.php');

    // Images routes
        include('admin/images.php');

    // Orders routes
        include('admin/orders.php');

    // Users routes
        include('admin/users.php');

    // Roles routes
        include('admin/roles.php');

    });
});

Route::group(['namespace' => 'Client', 'as' => 'client.'], function () {

    include('client/auth.php');

    Route::get('/'                              , ['as' => 'home'           , 'uses' => 'HomeController@index']);
    Route::get('o-nama'                         , ['as' => 'about_us'       , 'uses' => 'HomeController@aboutUs']);
    Route::get('kontakt'                        , ['as' => 'contact'        , 'uses' => 'ContactController@index']);
    Route::post('poruka'                        , ['as' => 'contact.send'   , 'uses' => 'ContactController@send']);
    Route::get('proizvod/{product}/{slug}'      , ['as' => 'product'        , 'uses' => 'ProductsController@show']);

    Route::get('proizvodi/{category?}/{slug?}/pretraga' , ['as' => 'search'     , 'uses' => 'ProductsController@search']);
    Route::get('json/{category?}/{slug?}/pretraga'      , ['as' => 'search.json', 'uses' => 'ProductsController@searchJson']);

    Route::get('privremena-korpa'                               , ['as' => 'cart.preview'           , 'uses' => 'CartController@preview']);
    Route::get('korpa'                                          , ['as' => 'cart.index'             , 'uses' => 'CartController@index'])->middleware(['auth', 'verified']);
    Route::get('cart/all'                                       , ['as' => 'cart.all'               , 'uses' => 'CartController@all'])->middleware(['auth', 'verified']);
    Route::get('cart/destroy/{cart}'                            , ['as' => 'cart.destroy'           , 'uses' => 'CartController@destroy'])->middleware(['auth', 'verified']);
    Route::post('cart/store/{activeProduct}/{productVariant}'   , ['as' => 'cart.create'            , 'uses' => 'CartController@store']);
    Route::post('cart/quantity/update'                          , ['as' => 'cart.quantity.update'   , 'uses' => 'CartController@quantityUpdate'])->middleware(['auth', 'verified']);
    Route::post('order/create'                                  , ['as' => 'order.create'           , 'uses' => 'OrderController@store'])->middleware(['auth', 'verified']);
    Route::get('porudzbina/{order}'                             , ['as' => 'order.show'             , 'uses' => 'OrderController@show'])->middleware(['auth', 'verified']);
});

app/Http/Controllers/Client/CartController.php
<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use App\Src\Base\Errors;
use App\Src\Base\Events\DestroyModelEvent;
use App\Src\Base\Exceptions\ModelsNotUpdatedException;
use App\Src\Carts\Cart;
use App\Src\Carts\Contracts\CartRepositoryInterface;
use App\Src\Carts\Requests\StoreCartRequest;
use App\Src\Carts\Requests\UpdateCartQuantityRequest;
use App\Src\Carts\Resources\CartSummaryResource;
use App\Src\Products\Product;
use App\Src\Products\Variants\Contracts\ProductVariantRepositoryInterface;
use App\Src\Products\Variants\ProductVariant;
use App\Src\Services\Contracts\CreateCartInterface;
use App\Src\Services\Models\Destroy\Cart\DestroyCartService;
use App\Src\Services\Models\Edit\Cart\EditManyCartQuantities;
use App\Src\Services\Models\Get\Cart\GetCartSeessionService;
use Illuminate\Http\Resources\Json\AnonymousResourceCollection;
use Illuminate\Support\Facades\DB;

class CartController extends Controller
{
    /**
     * Preview cart for unauth users.
     *
     * @param GetCartSeessionService $cartSeessionService
     * @param ProductVariantRepositoryInterface $productVariantRepository
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function preview(GetCartSeessionService $cartSeessionService, ProductVariantRepositoryInterface $productVariantRepository)
    {
        $variants = $productVariantRepository->findByIds(array_column($cartSeessionService->get(), 'product_variant'));

        return view('client.cart-preview', compact('variants'));
    }


    /**
     * Show cart.
     *
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function index()
    {
        return view('client.summary');
    }


    /**
     * Store cart for selected product variant.
     *
     * @param StoreCartRequest $request
     * @param Product $product
     * @param ProductVariant $productVariant
     * @param CreateCartInterface $createCart
     * @return \Illuminate\Http\JsonResponse
     */
    public function store(StoreCartRequest $request, Product $product, ProductVariant $productVariant, CreateCartInterface $createCart)
    {
        if (! $createCart->create($productVariant, $request->validated())) {

            return response()->json(['message' => 'Error'], 400);
        }

        return response()->json(['message' => 'Success'], 200);
    }


    /**
     * Get cart summary
     *
     * @param CartRepositoryInterface $cartRepository
     * @return AnonymousResourceCollection
     */
    public function all(CartRepositoryInterface $cartRepository): AnonymousResourceCollection
    {
        return CartSummaryResource::collection($cartRepository->getUserCart(auth()->user()));
    }


    /**
     * Destroy cart.
     *
     * @param Cart $cart
     * @param DestroyCartService $destroyCartService
     * @return \Illuminate\Http\JsonResponse
     */
    public function destroy(Cart $cart, DestroyCartService $destroyCartService)
    {
        try {

            DB::beginTransaction();

            event(new DestroyModelEvent($destroyCartService, $cart));

        } catch (\Exception $exception) {

            DB::rollBack();

            return response()->json(Errors::MODEL_NOT_DELETED, 400);
        }

        DB::commit();

        return response()->json(['message' => 'Success'], 200);
    }


    /**
     * Update items quantity in cart.
     *
     * @param UpdateCartQuantityRequest $request
     * @param EditManyCartQuantities $editManyCartQuantities
     * @return \Illuminate\Http\JsonResponse
     */
    public function quantityUpdate(UpdateCartQuantityRequest $request, EditManyCartQuantities $editManyCartQuantities)
    {
        try {

            DB::beginTransaction();

            if (! $editManyCartQuantities->edit($request->validated())) {

                throw new ModelsNotUpdatedException(Errors::MODElS_NOT_UPDATED['error_message']);
            }

        } catch (\Exception $exception) {

            DB::rollBack();

            return response()->json(Errors::MODEL_NOT_DELETED, 400);
        }

        DB::commit();

        return response()->json(['message' => 'Success'], 200);
    }
}

app/Http/Controllers/Client/ContactController.php
<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use App\Src\Mails\ContactMail;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class ContactController extends Controller
{
    /**
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function index()
    {
        return view('client.contact');
    }


    public function send(Request $request)
    {
        $this->validate($request, [
            'name'      => 'required',
            'email'     => 'required|email',
            'message'   => 'required'
        ]);

        Mail::to('harcstefan@gmail.com')
            ->queue(new ContactMail($request->only('name', 'email', 'message')));

        return redirect()->back()->with(['status' => 'Poruka je uspesno poslata!']);
    }
}

app/Http/Controllers/Client/HomeController.php
<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use App\Src\Services\Home\GetHomeDataService;

class HomeController extends Controller
{
    /**
     * Index page
     *
     * @param GetHomeDataService $service
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function index(GetHomeDataService $service)
    {
        return view('client.home')->with($service->getData());
    }


    /**
     * About us page.
     *
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function aboutUs()
    {
        return view('client.aboutUs');
    }


    /**
     * Address/Contact page.
     *
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function contact()
    {
        return view('client.address');
    }


    /**
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function register()
    {
        return view('client.security.register');
    }

    /**
     * Products show/search page.
     *
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function products()
    {
        return view('client.products');
    }
}

app/Http/Controllers/Client/OrderController.php
<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use App\Src\Base\Errors;
use App\Src\Base\Events\CreateModelEvent;
use App\Src\Orders\Order;
use App\Src\Orders\Queries\LoadShowOrderHelper;
use App\Src\Orders\Requests\ClientStoreOrderRequest;
use App\Src\Services\Models\Create\Order\ClientCreateOrderService;
use Illuminate\Support\Facades\DB;

class OrderController extends Controller
{
    /**
     * Show order info.
     *
     * @param Order $order
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function show(Order $order)
    {
        if ($order->user_id !== auth()->user()->id) {

            abort(404);
        }

        $order->load(LoadShowOrderHelper::loadArray());

        return view('client.order', compact('order'));
    }


    /**
     * Store order.
     *
     * @param ClientStoreOrderRequest $request
     * @param ClientCreateOrderService $clientCreateOrderService
     * @return \Illuminate\Http\JsonResponse
     */
    public function store(ClientStoreOrderRequest $request, ClientCreateOrderService $clientCreateOrderService)
    {
        try {

            DB::beginTransaction();

            event(new CreateModelEvent($clientCreateOrderService, $request->validated()));

        } catch (\Exception $exception) {

            DB::rollBack();

            return response()->json($exception->getMessage(), 400);
        }

        DB::commit();

        return response()->json(['message' => 'Success'], 200);
    }
}

app/Http/Controllers/Client/ProductsController.php
<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use App\Src\Attributes\Contracts\AttributeRepositoryInterface;
use App\Src\Brands\Contracts\BrandRepositoryInterface;
use App\Src\Categories\Category;
use App\Src\Products\Contracts\ProductRepositoryInterface;
use App\Src\Products\Product;
use App\Src\Products\Resources\ProductSearchResource;
use Illuminate\Contracts\View\Factory;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\AnonymousResourceCollection;
use Illuminate\View\View;

class ProductsController extends Controller
{
    /**
     * Show product data.
     *
     * @param Product $product
     * @param AttributeRepositoryInterface $attributeRepository
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function show(Product $product, AttributeRepositoryInterface $attributeRepository)
    {
        $product->load('brand', 'variants.productAttributeValues.attributeValue.productAttribute', 'variants.warehouseInventories.warehouse');

        $attributes = $attributeRepository->getProductAttributes($product);

        return view('client.product', compact('product', 'attributes'));
    }


    /**
     * Search products table.
     *
     * @param Category $category
     * @param Request $request
     * @param BrandRepositoryInterface $brandRepository
     * @param ProductRepositoryInterface $productRepository
     * @return AnonymousResourceCollection|Factory|View
     */
    public function search(Category $category, Request $request, BrandRepositoryInterface $brandRepository, ProductRepositoryInterface $productRepository)
    {
        $products = $productRepository->searchProducts($request->all(), $category);

        $products->appends($request->all());

        $brands         = $brandRepository->all();
        $subCategories  = $category->children;

        return view('client.products', compact('products', 'brands', 'category', 'subCategories'));
    }


    /**
     * Search products table.
     *
     * @param Category $category
     * @param Request $request
     * @param BrandRepositoryInterface $brandRepository
     * @param ProductRepositoryInterface $productRepository
     * @return AnonymousResourceCollection|Factory|View
     */
    public function searchJson(Category $category, Request $request, BrandRepositoryInterface $brandRepository, ProductRepositoryInterface $productRepository)
    {
        $products = $productRepository->searchProducts($request->all(), $category);

        $products->appends($request->all());

        return ProductSearchResource::collection($products);
    }
}

resources/views/client/aboutUs.blade.php
@extends('client.template')

@section('metas')

    <meta name="title" content="Harc Fitness O Nama"/>
    <meta name="description" content="Harc Fitness prodaja sportske opreme i rekvizita. Tegovi, šipke, trake, vijače, ruska zvona, ploče, bučice, steznici"/>
    <meta property="og:locale" content="sr_RS" />
    <meta property="og:type" content="website" />
    <meta property="og:title" content="HarcFitness O Nama" />
    <meta property="og:description" content="Harc Fitness prodaja sportske opreme i rekvizita. Tegovi, šipke, trake, vijače, ruska zvona, ploče, bučice, steznici" />
    <meta property="og:url" content="{{ route('client.about_us') }}" />
    <meta property="og:site_name" content="Harc Fitness" />
    <meta property="og:image" content="{{ asset('img/meta_logo.png') }}" />
    <meta property="og:image:secure_url" content="{{ asset('img/meta_logo.png') }}" />
    <meta property="og:image:width" content="1200" />
    <meta property="og:image:height" content="628" />
    <meta name="twitter:card" content="Harc Fitness O Nama" />
    <meta name="twitter:description" content="Harc Fitness prodaja sportske opreme i rekvizita. Tegovi, šipke, trake, vijače, ruska zvona, ploče, bučice, steznici" />
    <meta name="twitter:title" content="Harc Fitness O Nama" />
    <meta name="twitter:image" content="{{ asset('img/meta_logo.png') }}" />

@endsection

@section('main')

<div class="about-wrapper">
    <section class="about container" style="padding-bottom: 0px">
        <div class="row">
            <h1 class="col-sm-12 title">
                O nama
            </h1>
        </div>

        <div class="row">
            <div class="col-lg-6 order-1 order-lg-0">
                <div class="about-images">
                    <img src="{{asset('/img/about/lik1.jpg')}}" alt="Harc Fitness O Nama">
                    <img src="{{asset('/img/about/lik2.jpg')}}" alt="Harc Fitness O Nama">
                </div>
                <div class="about-image">
                    <img src="{{asset('/img/about/tegovi.jpg')}}" alt="Harc Fitness O Nama">
                </div>
            </div>
            <div class="col-lg-6 order-0">
                <h2 class="subtitle">
                    Bavimo se
                </h2>
                <p class="content">
                    Više od 10 godina iskustva u svetu sporta i fitnesa objedinili smo u jednu celinu, koja od 2016. godine nosi naziv "Harc Fitness".
                    <br>Posvetili smo se poboljšanju treninga kako profesionalnih sportista, tako i rekreativaca, kreirajući najinovativnije proizvode jedinstvenog dizajna.
                    <br>
                    <br>
                    Prvenstvo smo fokusirani na funkcionalni fitnes i trening snage.
                    <br>No, u želji da dodatno napredujemo i učvrstimo poziciju na tržištu, nastojimo da naš asortiman obogatimo i opremom za jogu, pilates,  plivanje, kao i druge aktuelne sportove.
                </p>

                <h2 class="subtitle">
                    Vizija
                </h2>
                <p class="content">
                    Od svog nastanka pa sve do danas, "Harc Fitness" ima jedinstvenu viziju da svojim kupcima po veoma pristupačnim cenama pruži proizvode vrhunskog kvaliteta, uz mnoštvo pažljivo osmišljenih detalja.
                    <br>Ostvarenje ovog cilja rezultat je napornog rada, snažne volje ali i velike ljubavi prema sportu.
                </p>

                <h2 class="subtitle">
                    Proizvodi
                </h2>
                <p class="content">
                    Stoga, ako ste u potrazi za prosečnim proizvodima standardnog kvaliteta, one koje nudi svaki veći market ili prodavnica u komšiluku, znate kome da se obratite.
                    <br>S druge strane, ako tražite ruske girje, olimpijske šipke, vijače i druge rekvizite koji su stvoreni da traju i da vam služe pri svakom treningu, onda ih nećete naći na tim mestima. Za takve potrage, "Harc Fitness" je jedina destinacija.
                </p>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <p class="content" style="margin-top: 20px">
                    Ukoliko nam ne verujete na reč, o kvalitetu naših proizvoda i usluga možete čuti od brojnih klijenata, partnera i saradnika. Ipak, mi verujemo da je neposredni utisak nezamenljiv, pa vas pozivamo da se u sve navedeno lično uverite i postanete deo naše zajednice!
                </p>
            </div>
        </div>
    </section>

    <section class="about container">
        <div class="row">
            <h1 class="col-sm-12 title">
                Naši klijenti
            </h1>
        </div>

        <div class="row">
            <div class="col-sm-12">
                <div class="our-clients main-preview">
                    <div class="item" onclick="window.location='https://www.gym.rs/'">
                        <img src="{{asset('/img/about/Athletics-gym.png')}}" alt="Harc Fitness Saradnik">
                    </div>
                    <div class="item" onclick="window.location='https://bodyline-fitness-wellness.business.site/'">
                        <img src="{{asset('/img/about/Body-LINE.png')}}" alt="Harc Fitness Saradnik">
                    </div>
                    <div class="item" onclick="window.location='http://www.sinergija.rs/'">
                        <img src="{{asset('/img/about/Centar-sinergija.png')}}" alt="Harc Fitness Saradnik">
                    </div>
                    <div class="item" onclick="window.location='https://www.legionari.net/'">
                        <img src="{{asset('/img/about/Elite-Fitness-Legionari.png')}}" alt="Harc Fitness Saradnik">
                    </div>
                    <div class="item" onclick="window.location='http://www.factorynis.com/'">
                        <img src="{{asset('/img/about/Factory-Nis.png')}}" alt="Harc Fitness Saradnik">
                    </div>
                    <div class="item" onclick="window.location='https://prvitim.rs/'">
                        <img src="{{asset('/img/about/Prvi-Tim-Crossfit.png')}}" alt="Harc Fitness Saradnik">
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>

@endsection

resources/views/client/address.blade.php
@extends('client.template')

@section('main')

    <div class="container checkout-address">
        <div class="row justify-content-md-center">
            <div class="col-xs-12 col-md-10">
                <form>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="name">Ime</label>
                            <input type="text" class="form-control" id="name">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="last">Prezime</label>
                            <input type="text" class="form-control" id="last">
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="street">Ulica i broj</label>
                            <input type="text" class="form-control" id="street">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="city">Grad</label>
                            <select id="city" class="form-control">
                                <option selected>Izaberi...</option>
                                <option>Novi Sad</option>
                                <option>Beograd</option>
                            </select>
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="email">Email</label>
                            <input type="email" class="form-control" id="email">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="mobile">Broj telefona</label>
                            <input type="tel" class="form-control" id="mobile">
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="col-xs-12 col-sm-6 text-center text-sm-left mb-2 mb-sm-0">
                            <a class="btn btn-outline-dark" href="#">Prethodni korak</a>
                        </div>
                        <div class="col-xs-12 col-sm-6 text-center text-sm-right">
                            <a class="btn btn-primary" href="#">Sledeci korak</a>
                        </div>
                    </div>
                </form>
            </div>
        </div>

    </div>

@endsection

resources/views/client/contact.blade.php
@extends('client.template')

@section('metas')

    <meta name="title" content="Harc Fitness Kontakt"/>
    <meta name="description" content="Harc Fitness prodaja sportske opreme i rekvizita. Tegovi, šipke, trake, vijače, ruska zvona, ploče, bučice, steznici"/>
    <meta property="og:locale" content="sr_RS" />
    <meta property="og:type" content="website" />
    <meta property="og:title" content="HarcFitness Kontakt" />
    <meta property="og:description" content="Harc Fitness prodaja sportske opreme i rekvizita. Tegovi, šipke, trake, vijače, ruska zvona, ploče, bučice, steznici" />
    <meta property="og:url" content="{{ route('client.contact') }}" />
    <meta property="og:site_name" content="Harc Fitness" />
    <meta property="og:image" content="{{ asset('img/meta_logo.png') }}" />
    <meta property="og:image:secure_url" content="{{ asset('img/meta_logo.png') }}" />
    <meta property="og:image:width" content="1200" />
    <meta property="og:image:height" content="628" />
    <meta name="twitter:card" content="Harc Fitness Kontakt" />
    <meta name="twitter:description" content="Harc Fitness prodaja sportske opreme i rekvizita. Tegovi, šipke, trake, vijače, ruska zvona, ploče, bučice, steznici" />
    <meta name="twitter:title" content="Harc Fitness Kontakt" />
    <meta name="twitter:image" content="{{ asset('img/meta_logo.png') }}" />

@endsection

@section('main')

    <div class="contact-wrapper">
        <div class="contact-overlay"></div>
        <div class="container">
            <div class="row text-center">
                <h1 class="col-sm-12 title">
                    Kontakt
                </h1>
            </div>
            <div class="row">
                <div class="col-sm-12 col-md-5 contact-form">
                    <form method="POST" action="{{ route('client.contact.send') }}">
                        {{ csrf_field() }}
                        <div class="form-group">
                            <label for="name">Ime</label>
                            <input type="text" class="form-control @error('name') is-invalid @enderror" id="name" name="name" value="{{ old('name') }}" placeholder="" required>
                        </div>
                        <div class="form-group">
                            <label for="email">Email</label>
                            <input type="email" class="form-control @error('email') is-invalid @enderror" id="email" name="email" value="{{ old('email') }}" placeholder="" required>
                        </div>
                        <div class="form-group">
                            <label for="message">Poruka</label>
                            <textarea type="text" class="form-control @error('message') is-invalid @enderror" id="message" name="message" placeholder="" required>
                                {{ old('message') }}
                            </textarea>
                        </div>

                        @if (session('status'))
                            <p class="content">
                                {{ session('status') }}
                            </p>
                        @endif

                        <button type="submit" class="btn btn-primary">
                            <i class="far fa-envelope"></i>
                            Pošalji</button>
                    </form>
                </div>
                <div class="col-sm-12 offset-md-1 col-md-5 contact-info">
                    <a href="https://goo.gl/maps/i3gizz6Vg4ExvgyW9" target="_blank">Internet Prodaja, 11080 Zemun</a>
                    <a href="tel:+381644697270" target="_blank">Tel: +381 64 469 72 70</a>
                    <a href="mailto:harcstefan@gmail.com" target="_blank">Email: harcstefan@gmail.com</a>
                </div>
            </div>
        </div>
    </div>

@endsection

resources/views/client/order.blade.php
@extends('client.template')

@section('metas')

    <meta name="title" content="Harc Fitness Korpa"/>
    <meta name="description" content="Harc Fitness prodaja sportske opreme i rekvizita. Tegovi, šipke, trake, vijače, ruska zvona, ploče, bučice, steznici"/>
    <meta property="og:locale" content="sr_RS" />
    <meta property="og:type" content="website" />
    <meta property="og:title" content="HarcFitness Korpa" />
    <meta property="og:description" content="Harc Fitness prodaja sportske opreme i rekvizita. Tegovi, šipke, trake, vijače, ruska zvona, ploče, bučice, steznici" />
    <meta property="og:url" content="{{ route('client.cart.index') }}" />
    <meta property="og:site_name" content="Harc Fitness" />
    <meta property="og:image" content="{{ asset('img/meta_logo.png') }}" />
    <meta property="og:image:secure_url" content="{{ asset('img/meta_logo.png') }}" />
    <meta property="og:image:width" content="1200" />
    <meta property="og:image:height" content="628" />
    <meta name="twitter:card" content="Harc Fitness Korpa" />
    <meta name="twitter:description" content="Harc Fitness prodaja sportske opreme i rekvizita. Tegovi, šipke, trake, vijače, ruska zvona, ploče, bučice, steznici" />
    <meta name="twitter:title" content="Harc Fitness Korpa" />
    <meta name="twitter:image" content="{{ asset('img/meta_logo.png') }}" />

@endsection

@section('main')

    <div id="app" class="category-wrapper">
        <order-info :order-data="{{ $order }}"></order-info>
    </div>

@endsection

@section('scripts')

    <script src="{{ mix('js/client/order.js') }}"></script>

@endsection

resources/views/client/product.blade.php
@extends('client.template')

@section('metas')

    <meta name="title" content="{{ $product->name }}"/>
    <meta name="description" content="{{ $product->description }}"/>
    <meta property="og:locale" content="sr_RS" />
    <meta property="og:type" content="website" />
    <meta property="og:title" content="{{ $product->name }}" />
    <meta property="og:description" content="{{ $product->description }}" />
    <meta property="og:url" content="{{ url('/') }}" />
    <meta property="og:site_name" content="Harc Fitness" />
    <meta property="og:image" content="{{ route('images.cache', ['medium', $product->main_image->src]) }}" />
    <meta property="og:image:secure_url" content="{{ route('images.cache', ['medium', $product->main_image->src]) }}" />
    <meta property="og:image:width" content="1200" />
    <meta property="og:image:height" content="628" />
    <meta name="twitter:card" content="{{ $product->name }}" />
    <meta name="twitter:description" content="{{ $product->description }}" />
    <meta name="twitter:title" content="{{ $product->name }}" />
    <meta name="twitter:image" content="{{ route('images.cache', ['medium', $product->main_image->src]) }}" />

@endsection

@section('main')

<div id="app" class="category-wrapper">
    <product-info :product-data="{{ $product }}" :attributes-values-data="{{ $attributes }}" :auth="{{ auth()->check() ? 1 : 0 }}"></product-info>
</div>

    @if($product->relatedProducts->count())
        @include('.client.layouts.similar-products')
    @endif

@endsection

@section('scripts')

    <script src="{{ mix('js/client/product.js') }}"></script>

@endsection

resources/views/client/summary.blade.php
@extends('client.template')

@section('main')

    <div id="app" class="category-wrapper">
        <product-info user-data="{{ auth()->user()->toJson() }}"></product-info>
    </div>

@endsection

@section('scripts')

    <script src="{{ mix('js/client/summary.js') }}"></script>

@endsection

resources/views/client/template.blade.php
@include('client.layouts.head')

<body>

    @include('client.layouts.header')

    @yield('main')

    @include('client.layouts.footer')

</body>

@include('client.layouts.foot')